classification
Title: PyMethodDef ml_doc is char* instead of const char*
Type: Stage: resolved
Components: Extension Modules Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, h.venev, iritkatriel, loewis
Priority: normal Keywords:

Created on 2014-03-22 10:15 by h.venev, last changed 2021-11-26 23:52 by iritkatriel. This issue is now closed.

Messages (3)
msg214452 - (view) Author: Hristo Venev (h.venev) * Date: 2014-03-22 10:15
It would be better if string literals could be used there.
msg214464 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2014-03-22 11:47
I propose any resolution to issue21019 be applied here as well.
msg407112 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2021-11-26 23:52
It is const char* now:

https://github.com/python/cpython/blob/f4c03484da59049eb62a9bf7777b963e2267d187/Include/methodobject.h#L40
History
Date User Action Args
2021-11-26 23:52:34iritkatrielsetstatus: open -> closed

nosy: + iritkatriel
messages: + msg407112

resolution: fixed
stage: resolved
2014-03-24 01:04:27Arfreversetnosy: + Arfrever
2014-03-22 11:47:35loewissetnosy: + loewis
messages: + msg214464
2014-03-22 10:19:40h.venevsetcomponents: + Extension Modules
versions: + Python 3.4
2014-03-22 10:15:22h.venevcreate